import { IAttributeHierarchiesService } from "@gooddata/sdk-backend-spi";
import { ICatalogAttributeHierarchy, IDateHierarchyTemplate, ObjRef } from "@gooddata/sdk-model";
import { RecordedBackendConfig } from "./types.js";
/**
 * @internal
 */
declare class RecordedAttributeHierarchiesService implements IAttributeHierarchiesService {
    private readonly config;
    constructor(config: RecordedBackendConfig);
    getValidDescendants(attributes: ObjRef[]): Promise<ObjRef[]>;
    createAttributeHierarchy(_title: string, _attributes: ObjRef[]): Promise<ICatalogAttributeHierarchy>;
    deleteAttributeHierarchy(_attributeHierarchyId: string): Promise<void>;
    updateAttributeHierarchy(_catalogAttributeHierarchy: ICatalogAttributeHierarchy): Promise<ICatalogAttributeHierarchy>;
    getDateHierarchyTemplates(): Promise<IDateHierarchyTemplate[]>;
}
export default RecordedAttributeHierarchiesService;
//# sourceMappingURL=attributeHierarchies.d.ts.map