// (C) 2023 GoodData Corporation
import { NotSupported } from "@gooddata/sdk-backend-spi";
/**
 * @internal
 */
class RecordedAttributeHierarchiesService {
    config = {};
    constructor(config) {
        this.config = config;
    }
    getValidDescendants(attributes) {
        if (this.config.getValidDescendants) {
            return Promise.resolve(this.config.getValidDescendants(attributes));
        }
        throw new NotSupported("not supported");
    }
    createAttributeHierarchy(_title, _attributes) {
        throw new NotSupported("not supported");
    }
    deleteAttributeHierarchy(_attributeHierarchyId) {
        throw new NotSupported("not supported");
    }
    updateAttributeHierarchy(_catalogAttributeHierarchy) {
        throw new NotSupported("not supported");
    }
    getDateHierarchyTemplates() {
        throw new NotSupported("not supported");
    }
}
export default RecordedAttributeHierarchiesService;
//# sourceMappingURL=attributeHierarchies.js.map